> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/webhooks.md).

# Webhooks

- [Como funcionam os Webhooks](https://docs.zapsign.com.br/webhooks/como-funciona.md)
- [Testando Webhooks](https://docs.zapsign.com.br/webhooks/testando-webhooks.md)
- [Criar webhook](https://docs.zapsign.com.br/webhooks/criar-webhook.md)
- [Logs de Webhooks](https://docs.zapsign.com.br/webhooks/logs-de-webhooks.md)
- [Eventos](https://docs.zapsign.com.br/webhooks/eventos.md): Entenda os eventos recebidos via webhooks
- [Documento](https://docs.zapsign.com.br/webhooks/eventos/document.md)
- [Documento expirado](https://docs.zapsign.com.br/webhooks/eventos/document/documento-expirado.md)
- [Documento criado](https://docs.zapsign.com.br/webhooks/eventos/document/documento-criado.md): doc\_created
- [Documento removido](https://docs.zapsign.com.br/webhooks/eventos/document/documento-removido.md): doc\_deleted
- [Documento assinado](https://docs.zapsign.com.br/webhooks/eventos/document/documento-assinado.md): doc\_signed
- [Documento recusado](https://docs.zapsign.com.br/webhooks/eventos/document/documento-recusado.md): doc\_refused
- [Documento visualizado](https://docs.zapsign.com.br/webhooks/eventos/document/doc_viewed.md): doc\_viewed (exemplo)
- [Alerta de expiração de documento](https://docs.zapsign.com.br/webhooks/eventos/document/alerta-de-expiracao-de-documento.md)
- [Signatário](https://docs.zapsign.com.br/webhooks/eventos/signer.md)
- [Notificação de assinatura](https://docs.zapsign.com.br/webhooks/eventos/signer/request_signature.md): signature\_notification\_sent (exemplo)
- [Confirmação de leitura](https://docs.zapsign.com.br/webhooks/eventos/signer/reading_confirmation.md): doc\_read\_confirmation (exemplo)
- [Email bounce](https://docs.zapsign.com.br/webhooks/eventos/signer/email-bounce.md): email\_bounce
- [Falha na Validação](https://docs.zapsign.com.br/webhooks/eventos/signer/authentication_failure.md): signer\_authentication\_failed
- [Signatário criado](https://docs.zapsign.com.br/webhooks/eventos/signer/created_signer.md): created\_signer (exemplo)
- [Antecedentes](https://docs.zapsign.com.br/webhooks/eventos/antecedentes.md)
- [Consulta concluída](https://docs.zapsign.com.br/webhooks/eventos/antecedentes/consulta-concluida.md): background\_check\_completed (exemplo)
- [Reprocessamento de Documentos e Webhooks](https://docs.zapsign.com.br/webhooks/reprocessamento-de-documentos-e-webhooks.md)
- [Deletar webhook](https://docs.zapsign.com.br/webhooks/deletar-webhook.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
